Send To (transfer to user)
POSTπ Transfer
Transfer to another user. Requires the Transfer permission.
Invoke the API with either the receiverUsername or the receiverUid parameter.
Request Parametersβ
| Name | Type | Required | Description |
|---|---|---|---|
| asset | String | Yes | The asset to be transferred |
| amount | String | Yes | The amount of asset to be transferred |
| receiverUsername | String | No | Receiver's username. Required if receiverUid is not provided |
| receiverUid | String | No | Receiver's unique ID. Required if receiverUsername is not provided |
Response Contentβ
| Name | Type | Description |
|---|---|---|
| data | Object |
example
POST
https://api.btse.com/public-api/wallet/v1/user/assets/sendToRequest
{
"asset": "BTC",
"amount": "1",
"receiverUsername": "tester",
"receiverUid": "1234567890"
}
Response
{
"success": true,
"code": 1,
"msg": "Success",
"time": 1624989977940,
"data": {
"transactionRef": "2023010100000001",
"asset": "BTC",
"amount": "1",
"receiverUsername": "tester",
"receiverUid": "1234567890"
}
}